Package: io.vertx.groovy.ext.shell.term

## [Groovy] Class Tty

- io.vertx.groovy.ext.shell.term.Tty

- Provide interactions with the Shell TTY.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tty (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getDelegate()`
    `int` | `height()` @return Returns: the current height, i.e the number of columns or if unknown
    `Tty` | `resizehandler(io.vertx.core.Handler<java.lang.Void> handler)` Set a resize handler, the handler is called when the tty size changes.
    `Tty` | `stdinHandler(io.vertx.core.Handler<java.lang.String> handler)` Set a stream handler on the standard input to read the data.
    `java.lang.String` | `type()` Returns: the declared tty type, for instance , , etc... it can be null when the tty does not have declared its type.
    `int` | `width()` @return Returns: the current width, i.e the number of rows or if unknown
    `Tty` | `write(java.lang.String data)` Write data to the standard output.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Tty(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.Object getDelegate()

    - #### int height()

      Returns:
        the current height, i.e the number of columns or if unknown

    - #### Tty resizehandler(io.vertx.core.Handler<java.lang.Void> handler)

      Set a resize handler, the handler is called when the tty size changes.

      Returns:
        this object
      Parameters:
        `handler` - the resize handler

    - #### Tty stdinHandler(io.vertx.core.Handler<java.lang.String> handler)

      Set a stream handler on the standard input to read the data.

      Returns:
        this object
      Parameters:
        `handler` - the standard input

    - #### java.lang.String type()

      Returns:
        the declared tty type, for instance , , etc... it can be null when the tty does not have declared its type.

    - #### int width()

      Returns:
        the current width, i.e the number of rows or if unknown

    - #### Tty write(java.lang.String data)

      Write data to the standard output.

      Returns:
        this object
      Parameters:
        `data` - the data to write